# Class DensityPlotEvent

java.lang.Object
uk.ac.starlink.ttools.plot.PlotEvent
uk.ac.starlink.ttools.plot.DensityPlotEvent

public class DensityPlotEvent extends PlotEvent
PlotEvent for density plots.

Since:
  3 Apr 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`DensityPlotEvent(Component source, DensityPlotState plotState, int nPotential, int nIncluded, int nVisible, double[] loCuts, double[] hiCuts)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`double[]`
`getHiCuts()`
Returns upper cut values for the channels plotted.
`double[]`
`getLoCuts()`
Returns lower cut values for the channels plotted.

### Methods inherited from class PlotEvent

`getIncludedPointCount, getPlotState, getPotentialPointCount, getSource, getVisiblePointCount`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DensityPlotEvent

public DensityPlotEvent(Component source, DensityPlotState plotState, int nPotential, int nIncluded, int nVisible, double[] loCuts, double[] hiCuts)
Constructor.

Parameters:
  `source` - source of this event
  `plotState` - plot state reflected by this change event
  `nPotential` - total number of points available
  `nIncluded` - number of points included in marked subsets
  `nVisible` - number of points actually plotted
  `loCuts` - nchannel-element array of lower bin cut levels
  `hiCuts` - nchannel-element array of upper bin cut levels

## Method Details

### getLoCuts

public double[] getLoCuts()
Returns lower cut values for the channels plotted. These are the bin counts below which pixels will be coloured at the low-end colour. For an unweighted plot these values will be integers.

Returns:
  array giving absolute lower cut levels for each channel

### getHiCuts

public double[] getHiCuts()
Returns upper cut values for the channels plotted. These are the bin counts above which pixels will be coloured as the high-end colour. For an unweighted plot these values will be integers.

Returns:
  array giving absolute upper cut levels for each channel